@rem This should be prefixed with set INSTDIR=...
@echo off


rem ====================================================================
rem Deregister MinEd from Windows Explorer context menu


rem ====================================================================
rem Set parameters

rem Name of Explorer menu entry
set name=MinEd

rem Registry keys to clear
set rootkey=HKEY_CLASSES_ROOT\SystemFileAssociations\text\shell\%name%
set userkey=HKEY_CURRENT_USER\Software\Classes\SystemFileAssociations\text\shell\%name%


rem ====================================================================
rem Remove MinEd registry entries for text files

rem Delete backup key(s) of MinEd stand-alone package
reg delete %rootkey%\command-stand-alone /f
reg delete %userkey%\command-stand-alone /f

rem Restore keys of MinEd cygwin package; 
rem if none exist, delete the entry
reg copy %rootkey%\command-cygwin %rootkey%\command /f
if errorlevel 1 reg delete %rootkey% /f
reg copy %userkey%\command-cygwin %userkey%\command /f
if errorlevel 1 reg delete %userkey% /f


rem ====================================================================
rem End
