@rem This should be prefixed with set INSTDIR=...
@echo off


rem ====================================================================
rem Deregister MinEd from PATH


rem ====================================================================
rem Set parameters

rem Registry keys to clear
set rootpath=HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment
set userpath=HKEY_CURRENT_USER\Environment

rem Check user PATH for MinEd
reg query "%userpath%" /v PATH | find "%INSTDIR%"
if errorlevel 1 goto checkroot


rem ====================================================================
rem Remove MinEd from PATH registry entries

rem Remove MinEd from user PATH
echo @echo off > getpath.bat
reg query "%userpath%" /v PATH | sed --text -e "s,^[ 	]*P[aA][tT][hH][	 ]*REG[_A-X]*_SZ[ 	]*\(.*\),set oldpath=\1," -e "t x" -e d -e ": x" -e "s,%%,%%%%,g" >> getpath.bat
echo set newpath=%%oldpath:;%INSTDIR%=%%>> getpath.bat
set oldpath=
call getpath
del getpath.bat
if "%oldpath%" == "%INSTDIR%" goto delpath
if "%oldpath%" == "%newpath%;%INSTDIR%" goto clearpath
goto checkroot
:clearpath
reg add "%userpath%" /v PATH /d "%newpath%" /f
goto checkroot
:delpath
reg delete "%userpath%" /v PATH /f
goto checkroot

:checkroot

rem Check root PATH for MinEd
reg query "%rootpath%" /v PATH | find "%INSTDIR%"
if errorlevel 1 goto pathok

rem Remove MinEd from root PATH
echo @echo off > getpath.bat
reg query "%rootpath%" /v PATH | sed --text -e "s,^[ 	]*P[aA][tT][hH][	 ]*REG[_A-X]*_SZ[ 	]*\(.*\),set oldpath=\1," -e "t" -e d >> getpath.bat
echo set newpath=%%oldpath:;%INSTDIR%=%%>> getpath.bat
call getpath
del getpath.bat
if "%oldpath%" == "%newpath%;%INSTDIR%" reg add "%rootpath%" /v PATH /d "%newpath%" /f

:pathok


rem ====================================================================
rem End
